package game;

import java.awt.Color;

public class Player {
  private String name;
  private Color playerColor;
  private Type type;
  
  public Player(String name, Color playerColor, Type type) {
    this.name = name;
    this.playerColor = playerColor;
    this.type = type;
  }
  
  public String getName() {
    return this.name;
  }
  
  public Color getColor() {
    return this.playerColor;
  }
  
  public Type getType() {
    return this.type;
  }
  
  public enum Type {
    HUMAN, COMPUTER;
  }
}
